Bug 139549 - FILEOPEN: DOCX: document gets modified at import time
Summary: FILEOPEN: DOCX: document gets modified at import time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: ModifiedStatus
  Show dependency treegraph
 
Reported: 2021-01-11 20:29 UTC by Xisco Faulí
Modified: 2021-07-05 08:56 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
dcontact.diff: a patch with UndoGuard (1.52 KB, patch)
2021-06-24 07:58 UTC, Tünde Tóth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2021-01-11 20:29:52 UTC
Steps to reproduce:
1. Open attachment 55002 [details] from bug 44343
2. Close it

-> LibreOffice asks to save the changes

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 5adc93a9a9426ef79054751be2904896f787a8a2
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2021-01-11 20:32:13 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=bda05ba17362222b74727872579b65b3fa14e3d8

author	Regényi Balázs <regenyi.balazs@nisz.hu>	2020-12-01 12:16:12 +0100
committer	László Németh <nemeth@numbertext.org>	2020-12-10 10:27:33 +0100
commit	bda05ba17362222b74727872579b65b3fa14e3d8 (patch)
tree	60d9448754f1a992e7e9695c8f458b55cfb62d69
parent	7720f8cf22718415adb3db2304916581f864f884 (diff)
tdf#41466 DOCX import: fix VML v:shape/v:textbox

Bisected with: bibisect-linux64-7.2

Adding Cc: to Regényi Balázs
Comment 2 Tünde Tóth 2021-06-24 07:58:38 UTC
Created attachment 173136 [details]
dcontact.diff: a patch with UndoGuard

Patch in the gerrit: https://gerrit.libreoffice.org/c/core/+/109436
This commit fix the textbox position, too.

The attachment diff file only hide changes made by changing the text box position.
Comment 3 Commit Notification 2021-06-28 07:36:09 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2ffdd37067926ddb841c6055205f267b96706945

tdf#139549 DOCX import: document got modified at import time

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-29 20:49:20 UTC
Regényi Balázs committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/66cc4828d438655d9a1f2affbc594c4096d1acaf

tdf#139549 DOCX import: document got modified at import time

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2021-07-01 07:59:49 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/02809c8b53e225ea45952de66d1b634267c8f28b

tdf#139549 add test to commit 2ffdd37067926ddb841c6055205f267b96706945

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 NISZ LibreOffice Team 2021-07-05 08:56:44 UTC
Verified in:

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3964e0854507b2696ae0fbe48a4fb005c779947e
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: default; VCL: win
Locale: en-DK (hu_HU); UI: en-GB
Calc: threaded